Page MenuHomePhabricator

Convert long to int and portably detect integral types
ClosedPublic

Authored by zturner on Oct 23 2015, 1:35 PM.

Details

Reviewers
tfiala
Summary

In a few of the examples fixed up here, the distinction between long and int was not important here. As a result, I converted those to use int instead of long everywhere to make the code simpler since six doesn't have something like six.long that resolves to int in py3 and long in py2. So we just use int everywhere.

The other fixes are fairly straightforward.

Diff Detail

Event Timeline

zturner updated this revision to Diff 38259.Oct 23 2015, 1:35 PM
zturner retitled this revision from to Convert long to int and portably detect integral types.
zturner updated this object.
zturner added a reviewer: tfiala.
zturner added a subscriber: lldb-commits.
tfiala accepted this revision.Oct 24 2015, 8:05 AM
tfiala edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Oct 24 2015, 8:05 AM
zturner closed this revision.Oct 26 2015, 1:22 PM